package com.fjhx.sale.service.sample;

import com.fjhx.sale.entity.sample.dto.SampleProductDto;
import com.fjhx.sale.entity.sample.dto.SampleProductSelectDto;
import com.fjhx.sale.entity.sample.po.SampleProduct;
import com.fjhx.sale.entity.sample.vo.SampleProductVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;


/**
 * <p>
 * 样品单-产品 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleProductService extends BaseService<SampleProduct> {

    /**
     * 样品单-产品分页
     */
    Page<SampleProductVo> getPage(SampleProductSelectDto dto);

    /**
     * 样品单-产品明细
     */
    SampleProductVo detail(Long id);

    /**
     * 样品单-产品新增
     */
    void add(SampleProductDto sampleProductDto);

    /**
     * 样品单-产品编辑
     */
    void edit(SampleProductDto sampleProductDto);

    /**
     * 样品单-产品删除
     */
    void delete(Long id);

}
